"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ProvidedValueGenerator = (function () {
    function ProvidedValueGenerator(providedValues, continuousMode) {
        if (continuousMode === void 0) { continuousMode = false; }
        this.values = providedValues;
        this.currentIndex = 0;
        this.continuousMode = continuousMode;
    }
    ProvidedValueGenerator.prototype.nextValue = function () {
        if (this.isCurrentIndexOutOfBounds()) {
            if (this.continuousMode) {
                this.currentIndex = 0;
            }
            else {
                throw new Error('Out of bounds!');
            }
        }
        return this.values[this.currentIndex++];
    };
    ProvidedValueGenerator.prototype.isCurrentIndexOutOfBounds = function () {
        return this.currentIndex === this.values.length;
    };
    return ProvidedValueGenerator;
}());
exports.ProvidedValueGenerator = ProvidedValueGenerator;
